{-# LANGUAGE ForeignFunctionInterface #-}
#include <bindings.dsl.h>
#include <sys/mman.h>
-- | Bindings for MMap on POSIX, wrapping:
--   <file:///usr/include/sys/mman.h>
module Bindings.MMap where
#strict_import
import System.Posix.Types (COff)
#ccall mmap , Ptr () -> CSize -> CInt -> CInt -> CInt -> COff -> IO (Ptr ())
#ccall munmap , Ptr () -> CSize -> IO CInt
#num PROT_EXEC
#num PROT_READ
#num PROT_WRITE
#num PROT_NONE
#num MAP_SHARED
#num MAP_PRIVATE
#num MAP_32BIT
#num MAP_ANON
#num MAP_ANONYMOUS
#num MAP_DENYWRITE
#num MAP_EXECUTABLE
#num MAP_FILE
#num MAP_FIXED
#num MAP_GROWSDOWN
#num MAP_LOCKED
#num MAP_NONBLOCK
#num MAP_NORESERVE
#num MAP_POPULATE
#num MAP_STACK
#num MAP_FAILED
